Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal
Interface Window

All Superinterfaces:
  java.lang.Comparable, PortalObject

All Known Implementing Classes:
  WindowImpl

    public interface Window

extends PortalObject

Represents a window, i.e the view port to integrated content.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Method Summary
`Content` | `getContent()` Returns the window content or null if no content can be provided.
`ContentType` | `getContentType()` Return the window content type.
`org.jboss.portal.Mode` | `getInitialMode()` Returns the inital mode to use (the mode to use when no navigational state exists, for example on a new page request) for this particular window
`org.jboss.portal.WindowState` | `getInitialWindowState()` Returns the inital window state (the window state to use when no navigational state exists, for example on a new page request) for this particular window
`Page` | `getPage()` Return the page containing this window.

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, getType, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPage

    Page getPage()

  Return the page containing this window.

  Returns:
    the page

### getContentType

    ContentType getContentType()

  Return the window content type.

  Returns:
    the window content type

### getContent

    Content getContent()

  Returns the window content or null if no content can be provided. Content could not be provided if no content handler has been found in the content handler registry.

  Returns:
    the window content

### getInitialWindowState

    org.jboss.portal.WindowState getInitialWindowState()

  Returns the inital window state (the window state to use when no navigational state exists, for example on a new page request) for this particular window

  Returns:
    a windowState

### getInitialMode

    org.jboss.portal.Mode getInitialMode()

  Returns the inital mode to use (the mode to use when no navigational state exists, for example on a new page request) for this particular window

  Returns:
    a portlet mode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD